Page MenuHomePhabricator

Fix a PHP 8.1 unit test failure in Projects
ClosedPublic

Authored by epriestley on Apr 1 2022, 7:08 PM.
Tags
None
Referenced Files
Unknown Object (File)
Fri, Jul 1, 7:31 AM
Unknown Object (File)
Sat, Jun 18, 4:53 PM
Unknown Object (File)
Thu, Jun 16, 10:05 AM
Unknown Object (File)
May 30 2022, 4:04 PM
Unknown Object (File)
May 30 2022, 4:04 PM
Unknown Object (File)
May 30 2022, 4:04 PM
Unknown Object (File)
May 30 2022, 4:04 PM
Unknown Object (File)
May 28 2022, 12:42 PM
Subscribers
None

Details

Summary

Ref T13588. This field may be "null" (and is probably never the empty string, but that's a more ambitious fix).

Test Plan

Ran unit tests, got a pass.

Diff Detail

Repository
rP Phabricator
Branch
phameint5
Lint
Lint Passed
Unit
Test Failures
Build Status
Buildable 25635
Build 35463: arc lint + arc unit

Unit TestsFailed

TimeTest
3 msPhabricatorProjectCoreTestCase::testAncestorMembers
EXCEPTION (RuntimeException): strlen(): Passing null to parameter #1 ($string) of type string is deprecated #0 /Users/epriestley/dev/core/lib/phabricator/src/applications/project/storage/PhabricatorProject.php(414): PhutilErrorHandler::handleError(8192, 'strlen(): Passi...', '/Users/epriestl...', 414) #1 /Users/epriestley/dev/core/lib/phabricator/src/applications/transactions/editor/PhabricatorApplicationTransactionEditor.php(1178): PhabricatorProject->save()
2 msPhabricatorProjectCoreTestCase::testAncestryQueries
EXCEPTION (RuntimeException): strlen(): Passing null to parameter #1 ($string) of type string is deprecated #0 /Users/epriestley/dev/core/lib/phabricator/src/applications/project/storage/PhabricatorProject.php(414): PhutilErrorHandler::handleError(8192, 'strlen(): Passi...', '/Users/epriestl...', 414) #1 /Users/epriestley/dev/core/lib/phabricator/src/applications/transactions/editor/PhabricatorApplicationTransactionEditor.php(1178): PhabricatorProject->save()
6 msPhabricatorProjectCoreTestCase::testApplicationPolicy
EXCEPTION (RuntimeException): strlen(): Passing null to parameter #1 ($string) of type string is deprecated #0 /Users/epriestley/dev/core/lib/phabricator/src/applications/project/storage/PhabricatorProject.php(414): PhutilErrorHandler::handleError(8192, 'strlen(): Passi...', '/Users/epriestl...', 414) #1 /Users/epriestley/dev/core/lib/phabricator/src/applications/transactions/editor/PhabricatorApplicationTransactionEditor.php(1178): PhabricatorProject->save()
7 msPhabricatorProjectCoreTestCase::testBoardMoves
EXCEPTION (RuntimeException): strlen(): Passing null to parameter #1 ($string) of type string is deprecated #0 /Users/epriestley/dev/core/lib/phabricator/src/applications/project/storage/PhabricatorProject.php(414): PhutilErrorHandler::handleError(8192, 'strlen(): Passi...', '/Users/epriestl...', 414) #1 /Users/epriestley/dev/core/lib/phabricator/src/applications/transactions/editor/PhabricatorApplicationTransactionEditor.php(1178): PhabricatorProject->save()
2 msPhabricatorProjectCoreTestCase::testColumnExtendedPolicies
EXCEPTION (RuntimeException): strlen(): Passing null to parameter #1 ($string) of type string is deprecated #0 /Users/epriestley/dev/core/lib/phabricator/src/applications/project/storage/PhabricatorProject.php(414): PhutilErrorHandler::handleError(8192, 'strlen(): Passi...', '/Users/epriestl...', 414) #1 /Users/epriestley/dev/core/lib/phabricator/src/applications/transactions/editor/PhabricatorApplicationTransactionEditor.php(1178): PhabricatorProject->save()
View Full Test Results (23 Failed · 7 Passed)

Event Timeline

epriestley created this revision.
This revision was not accepted when it landed; it landed in state Needs Review.Apr 1 2022, 7:53 PM
This revision was automatically updated to reflect the committed changes.